Bug 98838 - page breaks added in 23-pages DOCX so LO opens 27 pages
Summary: page breaks added in 23-pages DOCX so LO opens 27 pages
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:docx
Depends on:
Blocks: DOCX
  Show dependency treegraph
 
Reported: 2016-03-23 13:02 UTC by Jeffry Engert
Modified: 2021-02-23 13:37 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
blank pages added to column (158.42 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2016-03-23 13:02 UTC, Jeffry Engert
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeffry Engert 2016-03-23 13:02:48 UTC
Created attachment 123791 [details]
blank pages added to column

Page 3, one of the later columns I get a lot of blank pages.  They do not appear in MS Word or Google docs.  

I have a problem opening a MS word file with most of the text using eight column format, it creates blank pages and does not fill all the columns. Both Open Office and yours LibreOffice displays the same problem with multiple column format. In the following file it is supposedly to have only 23 pages not the 100+ that the programs are created when the “doc” or “docx” files are opened which was created from Microsoft Word 97-2003. The problem seems to be related to the column format.

Number of columns and pages could be the problem,

Erwin
Comment 1 raal 2016-03-23 20:26:13 UTC
LO  5.1.1.3 (x64) : 75 pages
LO  5.2.0.0.alpha0+ (x64): 31 pages
word: 23 pages
Comment 2 Telesto 2016-12-02 10:41:53 UTC
25 pages with:
Version: 5.4.0.0.alpha0+
Build ID: 4130c8def811d1dcc87eacaa8ae48ba02738a790
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-11-29_01:03:18
Locale: nl-NL (nl_NL); Calc: CL
Comment 3 QA Administrators 2017-12-10 16:42:41 UTC Comment hidden (obsolete)
Comment 4 Jeffry Engert 2017-12-12 21:38:28 UTC Comment hidden (obsolete)
Comment 5 OfficeUser 2018-05-15 21:20:55 UTC
This bug is still present in:
Version: 6.0.3.2
Build-ID: 8f48d515416608e3a835360314dac7e47fd0b821
CPU-Threads: 8; BS: Linux 4.4; UI-Render: Standard; VCL: gtk2; 
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group

I found this report because I have received another docx-file which shows blank pages at the end.

Also interesting is the fact that a similar doc-related (not docx) issue has already been fixed (Bug 95531).
Comment 6 Timur 2018-05-16 09:56:37 UTC
Multiple issues here, test with 6.1+:
- blank pages added in the middle of a column, for no apparent reason (this bug)
- LO first reads 203 pages and than later decreases(guess the same)
- page 2 in MSO "Note that .." text in LO has wrong spacing and line spacing (no spacing and single in MSO) so makes 2 pages out of 1 (probably another bug)
- page 20 in MSO after "Next I checked.." looks like LO has additional paragraph mark, so makes an additional page.
Comment 7 QA Administrators 2019-05-17 03:09:46 UTC Comment hidden (obsolete)
Comment 8 Timur 2019-05-17 12:39:39 UTC Comment hidden (obsolete)
Comment 9 Timur 2019-12-10 17:27:47 UTC
At first LO 6.5+ (like OO 3.3) shows 204 pages and then recounts to 151 (worse than before).
This is 2007 DOCX but same if resaved in MSO.
Comment 10 NISZ LibreOffice Team 2020-11-25 13:27:52 UTC
151 pages in:

Version: 7.0.0.3 (x64)
Build ID: 8061b3e9204bef6b321a21033174034a5e2ea88e
CPU szálak: 4; OS: Windows 6.3 Build 9600; Felületmegjelenítés: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL

but only 27 in:

Version: 7.2.0.0.alpha0+ (x64)
Build ID: cb084f475db33a2cfc62bc9c8de37b8c3c87b3c7
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL

since:
https://git.libreoffice.org/core/+/b9ef71476fd70bc13f50ebe80390e0730d1b7afb

author
Michael Stahl <Michael.Stahl@cib.de> Fri Nov 13 20:52:28 2020 +0100 
committer
Michael Stahl <michael.stahl@cib.de> Mon Nov 16 16:51:19 2020 +0100 

tdf#134298 sw: layout: remove left-over page frame without content

The 4 page difference left is probably because of problems noted in comment #6. 
Let's keep this still open as a reminder that those need to be fixed too.
Comment 11 Timur 2021-02-23 13:37:51 UTC
Single remaining issue in this bug are 3 page breaks that LO opens which I don't see in original MSO DOCX after pages 2, 19, 20.

(if that would be resolved, there would remain a small difference which is outside of this bug' scope).